var child_process = require('child_process');

/*
root@raspberrypi3-e868ae:/# amixer -c 0 contents
numid=2,iface=MIXER,name='Mic Capture Switch'
  ; type=BOOLEAN,access=rw------,values=1
  : values=on
numid=3,iface=MIXER,name='Mic Capture Volume'
  ; type=INTEGER,access=rw---R--,values=1,min=0,max=16,step=0
  : values=0
  | dBminmax-min=0.00dB,max=23.81dB
numid=4,iface=MIXER,name='Auto Gain Control'
  ; type=BOOLEAN,access=rw------,values=1
  : values=on
numid=1,iface=PCM,name='Capture Channel Map'
  ; type=INTEGER,access=r----R--,values=1,min=0,max=36,step=0
  : values=0
  | container
    | chmap-fixed=MONO

root@raspberrypi3-e868ae:/# amixer -c 1 contents
numid=6,iface=MIXER,name='DSP Program'
  ; type=ENUMERATED,access=rw------,values=1,items=5
  ; Item #0 'FIR interpolation with de-emphasis'
  ; Item #1 'Low latency IIR with de-emphasis'
  ; Item #2 'High attenuation with de-emphasis'
  ; Item #3 'Fixed process flow'
  ; Item #4 'Ringing-less low latency FIR'
  : values=0
numid=3,iface=MIXER,name='Analogue Playback Boost Volume'
  ; type=INTEGER,access=rw---R--,values=2,min=0,max=1,step=0
  : values=0,0
  | dBscale-min=0.00dB,step=0.80dB,mute=0
numid=2,iface=MIXER,name='Analogue Playback Volume'
  ; type=INTEGER,access=rw---R--,values=2,min=0,max=1,step=0
  : values=1,1
  | dBscale-min=-6.00dB,step=6.00dB,mute=0
numid=10,iface=MIXER,name='Auto Mute Mono Switch'
  ; type=BOOLEAN,access=rw------,values=1
  : values=on
numid=11,iface=MIXER,name='Auto Mute Switch'
  ; type=BOOLEAN,access=rw------,values=2
  : values=on,on
numid=8,iface=MIXER,name='Auto Mute Time Left'
  ; type=ENUMERATED,access=rw------,values=1,items=8
  ; Item #0 '21ms'
  ; Item #1 '106ms'
  ; Item #2 '213ms'
  ; Item #3 '533ms'
  ; Item #4 '1.07s'
  ; Item #5 '2.13s'
  ; Item #6 '5.33s'
  ; Item #7 '10.66s'
  : values=0
numid=9,iface=MIXER,name='Auto Mute Time Right'
  ; type=ENUMERATED,access=rw------,values=1,items=8
  ; Item #0 '21ms'
  ; Item #1 '106ms'
  ; Item #2 '213ms'
  ; Item #3 '533ms'
  ; Item #4 '1.07s'
  ; Item #5 '2.13s'
  ; Item #6 '5.33s'
  ; Item #7 '10.66s'
  : values=0
numid=7,iface=MIXER,name='Clock Missing Period'
  ; type=ENUMERATED,access=rw------,values=1,items=8
  ; Item #0 '1s'
  ; Item #1 '2s'
  ; Item #2 '3s'
  ; Item #3 '4s'
  ; Item #4 '5s'
  ; Item #5 '6s'
  ; Item #6 '7s'
  ; Item #7 '8s'
  : values=0
numid=5,iface=MIXER,name='Deemphasis Switch'
  ; type=BOOLEAN,access=rw------,values=1
  : values=on
numid=4,iface=MIXER,name='Digital Playback Switch'
  ; type=BOOLEAN,access=rw------,values=2
  : values=on,on
numid=1,iface=MIXER,name='Digital Playback Volume'
  ; type=INTEGER,access=rw---R--,values=2,min=0,max=207,step=0
  : values=207,207
  | dBscale-min=-103.50dB,step=0.50dB,mute=1
numid=20,iface=MIXER,name='Max Overclock DAC'
  ; type=INTEGER,access=rw------,values=1,min=0,max=40,step=0
  : values=0
numid=19,iface=MIXER,name='Max Overclock DSP'
  ; type=INTEGER,access=rw------,values=1,min=0,max=40,step=0
  : values=0
numid=18,iface=MIXER,name='Max Overclock PLL'
  ; type=INTEGER,access=rw------,values=1,min=0,max=20,step=0
  : values=0
numid=16,iface=MIXER,name='Volume Ramp Down Emergency Rate'
  ; type=ENUMERATED,access=rw------,values=1,items=4
  ; Item #0 '1 sample/update'
  ; Item #1 '2 samples/update'
  ; Item #2 '4 samples/update'
  ; Item #3 'Immediate'
  : values=0
numid=17,iface=MIXER,name='Volume Ramp Down Emergency Step'
  ; type=ENUMERATED,access=rw------,values=1,items=4
  ; Item #0 '4dB/step'
  ; Item #1 '2dB/step'
  ; Item #2 '1dB/step'
  ; Item #3 '0.5dB/step'
  : values=0
numid=12,iface=MIXER,name='Volume Ramp Down Rate'
  ; type=ENUMERATED,access=rw------,values=1,items=4
  ; Item #0 '1 sample/update'
  ; Item #1 '2 samples/update'
  ; Item #2 '4 samples/update'
  ; Item #3 'Immediate'
  : values=0
numid=13,iface=MIXER,name='Volume Ramp Down Step'
  ; type=ENUMERATED,access=rw------,values=1,items=4
  ; Item #0 '4dB/step'
  ; Item #1 '2dB/step'
  ; Item #2 '1dB/step'
  ; Item #3 '0.5dB/step'
  : values=2
numid=14,iface=MIXER,name='Volume Ramp Up Rate'
  ; type=ENUMERATED,access=rw------,values=1,items=4
  ; Item #0 '1 sample/update'
  ; Item #1 '2 samples/update'
  ; Item #2 '4 samples/update'
  ; Item #3 'Immediate'
  : values=0
numid=15,iface=MIXER,name='Volume Ramp Up Step'
  ; type=ENUMERATED,access=rw------,values=1,items=4
  ; Item #0 '4dB/step'
  ; Item #1 '2dB/step'
  ; Item #2 '1dB/step'
  ; Item #3 '0.5dB/step'
  : values=2

root@raspberrypi3-e868ae:/# amixer -c 2 contents
numid=3,iface=MIXER,name='PCM Playback Route'
  ; type=INTEGER,access=rw------,values=1,min=0,max=2,step=0
  : values=0
numid=2,iface=MIXER,name='PCM Playback Switch'
  ; type=BOOLEAN,access=rw------,values=1
  : values=on
numid=1,iface=MIXER,name='PCM Playback Volume'
  ; type=INTEGER,access=rw---R--,values=1,min=-10239,max=400,step=0
  : values=-2000
  | dBscale-min=-102.39dB,step=0.01dB,mute=1
numid=5,iface=PCM,name='IEC958 Playback Con Mask'
  ; type=IEC958,access=r-------,values=1
  : values=[AES0=0x02 AES1=0x00 AES2=0x00 AES3=0x00]
numid=4,iface=PCM,name='IEC958 Playback Default'
  ; type=IEC958,access=rw------,values=1
  : values=[AES0=0x00 AES1=0x00 AES2=0x00 AES3=0x00]
*/

module.exports = {
  controls: function(cardId) {
    return [];
  }
};